<section class="sees-container">
    <form [formGroup]="seesFormGroup" #glForm="ngForm">
        <mat-form-field appearance="standard">
            <mat-label>Employee Name</mat-label>
            <mat-select name="employeeName" formControlName="employeeName">
                <mat-option *ngFor="let employee of employees" [value]="employee.firstName"
                    (click)="updateEmployee(employee)">
                    {{employee?.firstName}} - {{employee?.lastName}}
                </mat-option>
            </mat-select>
        </mat-form-field>
        <mat-form-field appearance="standard">
            <mat-label>Employee Number</mat-label>
            <input type="text" matInput placeholder="employeeNo" (keyup)="employeeNumber = $event.target.value"
                formControlName="employeeNo" required disabled>
        </mat-form-field>
        <mat-form-field appearance="standard">
            <mat-label>Job Title</mat-label>
            <input type="text" matInput placeholder="Job Title" formControlName="jobTitle" required disabled>
        </mat-form-field>
        <mat-form-field appearance="standard">
            <mat-label>Department</mat-label>
            <input type="text" matInput placeholder="department" formControlName="department" required disabled>
        </mat-form-field>
        <mat-form-field appearance="standard">
            <mat-label>Date</mat-label>
            <input matInput readonly (click)="cfdpicker.open()" [matDatepicker]="cfdpicker" formControlName="date"
                (dateChange)="getDetails()">
            <mat-datepicker-toggle matSuffix [for]="cfdpicker"></mat-datepicker-toggle>
            <mat-datepicker #cfdpicker></mat-datepicker>
        </mat-form-field>
    </form>
    <section>
        <mat-tab-group mat-align-tabs="center" #tabGroup>
            <mat-tab label="One Time Earning">
                <app-one-time-earnings [employeeNumber]="employeeNumber" [effectiveDate]="effectiveDate"
                    [editData]="editData" (getDetails)="getDetails()">
                </app-one-time-earnings>
            </mat-tab>
            <mat-tab label="One Time Deduction">
                <app-one-time-deductions [employeeNumber]="employeeNumber" [effectiveDate]="effectiveDate"
                    [editData]="editData" (getDetails)="getDetails()">
                </app-one-time-deductions>
            </mat-tab>
            <mat-tab label="Recurring Earnings">
                <app-recurring-earnings [employeeNumber]="employeeNumber" [effectiveDate]="effectiveDate"
                    [editData]="editData" (getDetails)="getDetails()">
                </app-recurring-earnings>
            </mat-tab>
            <mat-tab label="Recurring Deductions">
                <app-recurring-loan-deductions [employeeNumber]="employeeNumber" [effectiveDate]="effectiveDate"
                    [editData]="editData" (getDetails)="getDetails()">
                </app-recurring-loan-deductions>
            </mat-tab>
            <mat-tab label="Over Time / Short Time">
                <app-ot-short-hrs [employeeNumber]="employeeNumber" [effectiveDate]="effectiveDate"
                    [editData]="editData" (getDetails)="getDetails()"></app-ot-short-hrs>
            </mat-tab>
        </mat-tab-group>
    </section>
    <section>
        <mat-accordion>
            <mat-expansion-panel [expanded]="xpandStatus">
                <mat-expansion-panel-header>
                    <mat-panel-title>
                        Available Entries
                    </mat-panel-title>
                </mat-expansion-panel-header>
                <div class="mat-elevation-z8">
                    <table mat-table matSort [dataSource]="dataSource">
                        <ng-container matColumnDef="S no">
                            <th mat-header-cell *matHeaderCellDef> S No </th>
                            <td class="link" mat-cell *matCellDef="let element; let i = index;"> {{i + 1}}</td>
                        </ng-container>

                        <!-- name Column -->
                        <ng-container matColumnDef="entryType">
                            <th mat-header-cell *matHeaderCellDef> Salary Element Type </th>
                            <td mat-cell *matCellDef="let element"> {{element.entryType}}
                                <span matTooltip="{{element.ebsResponseMessage}}" class="infor-error" *ngIf="!!element.ebsResponseMessage">Info</span>
                            </td>
                        </ng-container>

                        <!-- name Column -->
                        <ng-container matColumnDef="classification">
                            <th mat-header-cell *matHeaderCellDef> Classification </th>
                            <td mat-cell *matCellDef="let element"> {{element.classification}} </td>
                        </ng-container>

                        <!-- name Column -->
                        <ng-container matColumnDef="recurring">
                            <th mat-header-cell *matHeaderCellDef> Type </th>
                            <td mat-cell *matCellDef="let element"> {{element.recurring ? 'Recurring' : 'One Time'}}
                            </td>
                        </ng-container>

                        <!-- name Column -->
                        <ng-container matColumnDef="startDate">
                            <th mat-header-cell *matHeaderCellDef> Start Date </th>
                            <td mat-cell *matCellDef="let element">
                                {{element.startDate ? element.startDate : element.effectiveDate}} </td>
                        </ng-container>

                        <!-- name Column -->
                        <ng-container matColumnDef="endDate">
                            <th mat-header-cell *matHeaderCellDef> End Date </th>
                            <td mat-cell *matCellDef="let element"> {{element.endDate}} </td>
                        </ng-container>

                        <!-- name Column -->
                        <ng-container matColumnDef="pk">
                            <th mat-header-cell *matHeaderCellDef> Entry ID </th>
                            <td mat-cell *matCellDef="let element"> {{element.pk}} </td>
                        </ng-container>

                        <!-- name Column -->
                        <ng-container matColumnDef="status">
                            <th mat-header-cell *matHeaderCellDef> Status </th>
                            <td mat-cell *matCellDef="let element"> {{element.status}} </td>
                        </ng-container>

                        <ng-container matColumnDef="action">
                            <th mat-header-cell *matHeaderCellDef> Action </th>
                            <td mat-cell *matCellDef="let element">
                                <div class="action-btn" *ngIf="element.status != 'PENDING_APPROVAL'">
                                    <button class="edit-btn" mat-button (click)="editRow(element, tabGroup)">Edit</button>
                                    <button class="delete-btn" mat-button (click)="deleteDialog(element)">Delete</button>
                                </div>
                            </td>
                        </ng-container>


                        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                    </table>
                    <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
                </div>
            </mat-expansion-panel>
        </mat-accordion>
    </section>
</section>